Subject: bug#34781: 27.0.50; integer in pcase sometimes compared by eq

From: Paul Eggert <[email-masked]>
Date: Thu, 28 Mar 2019 13:33:45 -0700

On 3/28/19 12:47 PM, Michael Heerdegen wrote:
> AFAIU the patch only corrects an optimization (use `memq' instead of
> `member') that doesn't work for bignums.  This can never be harmful.

Isn't it harmful if a 64-bit Emacs decides that the optimization is safe
for the fixnum 1000000000 and thus generates the faster code, but the
code is put into an .elc file and then loaded by a 32-bit emacs that
treats 1000000000 as a bignum?

(An alternative to this annoying most-positive-portable-bignum business
would be to require --with-wide-int on all platforms. :-)